<?xml version="1.0" encoding="utf-8"?>
<configuration>
	<configSections>
		<!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
		<section name="entityFramework"
		  type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089"
		  requirePermission="false"/>
	</configSections>

	<appSettings>
		<add key="PdfPath" value="F:\Primavera-test\Dados\"/>
		<add key="Utilizador" value="adm"/>
		<add key="Password" value=""/>
		<add key="NomeEmpresa" value="CBRE42014"/>
		<add key="AnexoPath" value="C:\inetpub\wwwroot\WcfService\AnexosTemp"/>
		<add key="PlanoDepreciacao" value="001"/>
		<add key="Logs" value="F:\Primavera-test\Dados\Logs\Logs.txt"/>
		<add key="tipoPlataforma" value="1"/>
		<add key="PlanoDepreciacao" value="001"/>
		<add key="aspnet:UseTaskFriendlySynchronizationContext" value="true"/>
	</appSettings>

	<connectionStrings>
		<!--MAUGI-PC1\SQL2019-->
		<!--<add name="Empre" connectionString="Data Source=(local)\SQL2019;Initial Catalog=priempre;Persist Security Info=True;User ID=sa;Password=pri~01.pt"
				providerName="System.Data.SqlClient"/>-->
		<add name="Empre" connectionString="Data Source=SQLUATDNS_Primavera.emea.cbre.net;Initial Catalog=priempre;Persist Security Info=True;User ID=PRI;Password=z24@%22(%_50E#8rn$Q2"
				providerName="System.Data.SqlClient"/>
		<add name="RE42014" connectionString="Data Source=SQLUATDNS_Primavera.emea.cbre.net;Initial Catalog=PRIRE42014;Persist Security Info=True;User ID=PRI;Password=z24@%22(%_50E#8rn$Q2"
				providerName="System.Data.SqlClient"/>
		<add name="REA2014" connectionString="Data Source=SQLUATDNS_Primavera.emea.cbre.net;Initial Catalog=PRIREA2014;Persist Security Info=True;User ID=PRI;Password=z24@%22(%_50E#8rn$Q2"
				providerName="System.Data.SqlClient"/>	
		<add name="CBREPJM" connectionString="Data Source=SQLUATDNS_Primavera.emea.cbre.net;Initial Catalog=PRICBREPJM;Persist Security Info=True;User ID=PRI;Password=z24@%22(%_50E#8rn$Q2"
				providerName="System.Data.SqlClient"/>
	</connectionStrings>

	<system.web>
		<compilation debug="true" targetFramework="4.7.2"/>
		<httpRuntime targetFramework="4.7.2"/>
		<sessionState cookieless="false" timeout="20"/>
	</system.web>

	<system.serviceModel>
		<behaviors>
			<serviceBehaviors>
				<behavior>
					<!-- To avoid disclosing metadata information, set the values below to false before deployment -->
					<serviceMetadata httpGetEnabled="true" httpsGetEnabled="true"/>
					<!-- To receive exception details in faults for debugging purposes, set the value below to true.  Set to false before deployment to avoid disclosing exception information -->
					<serviceDebug includeExceptionDetailInFaults="true"/>
				</behavior>
			</serviceBehaviors>
		</behaviors>
		<protocolMapping>
			<add binding="basicHttpsBinding" scheme="https"/>
		</protocolMapping>
		<bindings>
			<basicHttpBinding>
				<!-- <serviceHostingEnvironment aspNetCompatibilityEnabled="true" multipleSiteBindingsEnabled="true"/> -->
				<binding name="LargeFileBinding" maxBufferPoolSize="104857600" maxReceivedMessageSize="104857600" maxBufferSize="65536" transferMode="Streamed">
					<readerQuotas maxArrayLength="1073741824" maxDepth="32" maxBytesPerRead="4096" maxNameTableCharCount="16384" maxStringContentLength="1073741824" />
				</binding>
			</basicHttpBinding>
		</bindings>
		<services>
			<service name="WcfService.Services.TabelasRelacionamento">
			<endpoint address=""
                      binding="basicHttpBinding"
                      bindingConfiguration="LargeFileBinding"
                      contract="WcfService.Services.ITabelasRelacionamento"
					/>		
</service>
<service name="WcfService.Services.Authentication">
<endpoint address=""
			      binding="basicHttpBinding"
                  bindingConfiguration="LargeFileBinding"
                  contract="WcfService.Services.IAuthenticationService" />
</service>
<service name="WcfService.Services.AnexoService.AnexoService">
<endpoint address="" 
				binding="basicHttpBinding"
			        bindingConfiguration="LargeFileBinding" 
				contract="WcfService.Services.AnexoService.IAnexoService" />
</service>
<service name="WcfService.Services.Artigos.Artigos">
<endpoint
					address=""
					binding="basicHttpBinding"
					contract="WcfService.Services.Artigos.IArtigos" />
<endpoint address="mex"
					binding="mexHttpBinding"
					contract="IMetadataExchange" />
</service>
</services>
	</system.serviceModel>

	<system.webServer>
		<modules runAllManagedModulesForAllRequests="true"/>
		<!--
        To browse web app root directory during debugging, set the value below to true.
        Set to false before deployment to avoid disclosing web app folder information.
      -->
		<directoryBrowse enabled="true"/>
		 <security>
			<requestFiltering>
			  <requestLimits maxAllowedContentLength="4294967295" maxUrl="2000000" maxQueryString="104857600"/>
			</requestFiltering>
		</security>
	</system.webServer>
	<runtime>
		<assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
			<dependentAssembly>
				<assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30AD4FE6B2A6AEED" culture="neutral"/>
				<bindingRedirect oldVersion="0.0.0.0-12.0.0.0" newVersion="11.0.0.0"/>
			</dependentAssembly>
		</assemblyBinding>
	</runtime>
	<entityFramework>
		<providers>
			<provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer"/>
		</providers>
	</entityFramework>
</configuration>
